/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001-02 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core;

public final class GlobalProperties
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private int posts_per_page;
  private int old_posts_at_top;
  private int search_items_per_page;
  private int community_members_per_page;
  private int conference_members_per_page;
  private int posts_on_front_page;
  private int audit_records_per_page;
  private int community_create_level;
  private boolean display_post_pictures;
  private boolean disable_categories;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public GlobalProperties()
  {
    posts_per_page = 20;
    old_posts_at_top = 2;
    search_items_per_page = 20;
    community_members_per_page = 50;
    conference_members_per_page = 50;
    posts_on_front_page = 10;
    audit_records_per_page = 100;
    community_create_level = 1000;   // this is actually the "normal user" security level
    display_post_pictures = false;
    disable_categories = false;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Public getters/setters
   *--------------------------------------------------------------------------------
   */

  public final int getPostsPerPage()
  {
    return posts_per_page;

  } // end getPostsPerPage

  public final void setPostsPerPage(int v)
  {
    posts_per_page = v;

  } // end setPostsPerPage

  public final int getOldPostsAtTop()
  {
    return old_posts_at_top;

  } // end getOldPostsAtTop

  public final void setOldPostsAtTop(int v)
  {
    old_posts_at_top = v;

  } // end setOldPostsAtTop

  public final int getSearchItemsPerPage()
  {
    return search_items_per_page;

  } // end getSearchItemsPerPage

  public final void setSearchItemsPerPage(int v)
  {
    search_items_per_page = v;

  } // end setSearchItemsPerPage

  public final int getCommunityMembersPerPage()
  {
    return community_members_per_page;

  } // end getCommunityMembersPerPage

  public final void setCommunityMembersPerPage(int v)
  {
    community_members_per_page = v;

  } // end setCommunityMembersPerPage

  public final int getConferenceMembersPerPage()
  {
    return conference_members_per_page;

  } // end getConferenceMembersPerPage

  public final void setConferenceMembersPerPage(int v)
  {
    conference_members_per_page = v;

  } // end setConferenceMembersPerPage

  public final int getPostsOnFrontPage()
  {
    return posts_on_front_page;

  } // end getPostsOnFontPage

  public final void setPostsOnFrontPage(int v)
  {
    posts_on_front_page = v;

  } // end setPostsOnFrontPage

  public final int getAuditRecordsPerPage()
  {
    return audit_records_per_page;

  } // end getAuditRecordsPerPage

  public final void setAuditRecordsPerPage(int v)
  {
    audit_records_per_page = v;

  } // end setAuditRecordsPerPage

  public final int getCommunityCreateLevel()
  {
    return community_create_level;

  } // end getCommunityCreateLevel

  public final void setCommunityCreateLevel(int v)
  {
    community_create_level = v;

  } // end setCommunityCreateLevel

  public final boolean getDisplayPostPictures()
  {
    return display_post_pictures;

  } // end getDisplayPostPictures

  public final void setDisplayPostPictures(boolean b)
  {
    display_post_pictures = b;

  } // end setDisplayPostPictures

  public final boolean getDisableCategories()
  {
    return disable_categories;

  } // end getDisableCategories

  public final void setDisableCategories(boolean b)
  {
    disable_categories = b;

  } // end setDisableCategories

} // end class GlobalProperties
